# Models

## The DeepLinkSuccessResponse object

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Deferred Deep Linking","version":"v12"},"components":{"schemas":{"DeepLinkSuccessResponse":{"type":"object","properties":{"landingPage":{"type":"string","format":"uri","description":"The URL of the web page the user was on before being deferred to the app store."},"clickId":{"type":"string","description":"The unique identifier generated by impact.com for the referring click."},"clickIpAddress":{"type":"string","description":"The IP address captured when the user clicked the tracking link."},"connectionIpAddress":{"type":"string","description":"The IP address captured when the app made this API request."}}}}}}
```

## The DeepLinkErrorResponse object

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Deferred Deep Linking","version":"v12"},"components":{"schemas":{"DeepLinkErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"warnings":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}}}},"ResponseMessage":{"type":"object","properties":{"field":{"type":"string","description":"The parameter in the request that caused the message."},"level":{"type":"string","enum":["ERROR","WARNING"],"description":"The severity level of the message."},"message":{"type":"string","description":"A detailed explanation of the issue."}}}}}}
```

## The ResponseMessage object

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Deferred Deep Linking","version":"v12"},"components":{"schemas":{"ResponseMessage":{"type":"object","properties":{"field":{"type":"string","description":"The parameter in the request that caused the message."},"level":{"type":"string","enum":["ERROR","WARNING"],"description":"The severity level of the message."},"message":{"type":"string","description":"A detailed explanation of the issue."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v12/reference/deferred-deep-linking/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
